import { Scene, Engine, AbstractMesh, Mesh } from "@babylonjs/core";
export declare const useBabylonScene: (basicOption: any, basicEvents: any) => {
    canvasRef: import("vue").Ref<any, any>;
    babylon: import("vue").Ref<{
        scene: Scene;
        engine: Engine;
        gs: AbstractMesh;
        skybox: Mesh;
        canvas: HTMLCanvasElement;
        option: any;
        events: any;
        createScene(): Scene;
        updateScene(sceneOption: any): void;
        createCamera(cameraOption: any, scene: Scene): void;
        updateMeshSize(optionMeshs: any): void;
        updateCamera(cameraOption: any): void;
        setSkybox(): void;
        run(): any;
        dispose(): void;
    }, {
        scene: Scene;
        engine: Engine;
        gs: AbstractMesh;
        skybox: Mesh;
        canvas: HTMLCanvasElement;
        option: any;
        events: any;
        createScene(): Scene;
        updateScene(sceneOption: any): void;
        createCamera(cameraOption: any, scene: Scene): void;
        updateMeshSize(optionMeshs: any): void;
        updateCamera(cameraOption: any): void;
        setSkybox(): void;
        run(): any;
        dispose(): void;
    }>;
    GsBabylonScene: {
        new (canvas: HTMLCanvasElement, option: any, events: any): {
            scene: Scene;
            engine: Engine;
            gs: AbstractMesh;
            skybox: Mesh;
            canvas: HTMLCanvasElement;
            option: any;
            events: any;
            createScene(): Scene;
            updateScene(sceneOption: any): void;
            createCamera(cameraOption: any, scene: Scene): void;
            updateMeshSize(optionMeshs: any): void;
            updateCamera(cameraOption: any): void;
            setSkybox(): void;
            run(): any;
            dispose(): void;
        };
    };
    babylonLoadingStatus: import("vue").Ref<boolean, boolean>;
};
